package opc.ua.services.sets;

import opc.ua.addressspace.datatype.LocaleId;
import opc.ua.services.common.EndpointDescription;
import opc.ua.services.common.RequestHeader;
import opc.ua.services.common.ResponseHeader;

public class GetEndpoints {

	/**
	 * request
	 */
	private RequestHeader requestHeader;
	private String endpointUri;
	private LocaleId[] localeIds;
	private String[] profileUris;
	
	/**
	 * response
	 */
	private ResponseHeader responseHeader;
	private EndpointDescription[] endpoints;
	
	public RequestHeader getRequestHeader() {
		return requestHeader;
	}
	public void setRequestHeader(RequestHeader requestHeader) {
		this.requestHeader = requestHeader;
	}
	public String getEndpointUri() {
		return endpointUri;
	}
	public void setEndpointUri(String endpointUri) {
		this.endpointUri = endpointUri;
	}
	public LocaleId[] getLocaleIds() {
		return localeIds;
	}
	public void setLocaleIds(LocaleId[] localeIds) {
		this.localeIds = localeIds;
	}
	public String[] getProfileUris() {
		return profileUris;
	}
	public void setProfileUris(String[] profileUris) {
		this.profileUris = profileUris;
	}
	public ResponseHeader getResponseHeader() {
		return responseHeader;
	}
	public void setResponseHeader(ResponseHeader responseHeader) {
		this.responseHeader = responseHeader;
	}
	public EndpointDescription[] getEndpoints() {
		return endpoints;
	}
	public void setEndpoints(EndpointDescription[] endpoints) {
		this.endpoints = endpoints;
	}
	
}
